Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.event
Interface GroupEventListener

All Known Implementing Classes:
  RosterManager

    public interface GroupEventListener

Interface to listen for group events. Use the `GroupEventDispatcher.addListener(GroupEventListener)` method to register for events.

Author:
  Matt Tucker

Method Summary
`void` | `adminAdded(Group group, Map params)` An administrator was added to a group.
`void` | `adminRemoved(Group group, Map params)` An administrator was removed from a group.
`void` | `groupCreated(Group group, Map params)` A group was created.
`void` | `groupDeleting(Group group, Map params)` A group is being deleted.
`void` | `groupModified(Group group, Map params)` A group's name, description, or an extended property was changed.
`void` | `memberAdded(Group group, Map params)` A member was added to a group.
`void` | `memberRemoved(Group group, Map params)` A member was removed from a group.

Method Detail

### groupCreated

    void groupCreated(Group group,
                      Map params)

  A group was created.

  Parameters:
    `group` - the group.
    `params` - event parameters.

### groupDeleting

    void groupDeleting(Group group,
                       Map params)

  A group is being deleted.

  Parameters:
    `group` - the group.
    `params` - event parameters.

### groupModified

    void groupModified(Group group,
                       Map params)

  A group's name, description, or an extended property was changed.

  Parameters:
    `group` - the group.
    `params` - event parameters.

### memberAdded

    void memberAdded(Group group,
                     Map params)

  A member was added to a group.

  Parameters:
    `group` - the group.
    `params` - event parameters.

### memberRemoved

    void memberRemoved(Group group,
                       Map params)

  A member was removed from a group.

  Parameters:
    `group` - the group.
    `params` - event parameters.

### adminAdded

    void adminAdded(Group group,
                    Map params)

  An administrator was added to a group.

  Parameters:
    `group` - the group.
    `params` - event parameters.

### adminRemoved

    void adminRemoved(Group group,
                      Map params)

  An administrator was removed from a group.

  Parameters:
    `group` - the group.
    `params` - event parameters.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.8.2 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2008 Jive Software.